Packages - Freedom Issue #2391

[xscreensaver][BSOD][Windows 10] Rickroll
2019-07-19 01:24 PM - Anonymous

Status: fixed % Done: 100%
Priority: bug

Assignee: freemor

Category:

Description

There is rickroll in QR code in BSOD in xscreensaver.

History

#1 - 2019-07-19 05:51 PM - freemor

As it is litterally just a few words fom the chorus | fail to see the issue. Clearly fall into fair use exceptions. Such as satire or transformative works.

Cute tho.

#2 - 2019-07-19 05:54 PM - freemor
- Priority changed from bug to discussion

- Status changed from unconfirmed to confirmed

#3 - 2019-07-19 07:42 PM - Anonymous

Fair use? In my free software?

#4 - 2019-07-20 12:51 AM - freemor

Documenting this so other Devs do not need to go throught the hassle of installing xscreen saver, waiting for the win 10 screen to cycle around and
then scanning the QR code.

The QR code decodes to:

"Never gonna give you up
Never gonna let you down
Never gonna run around
and desert you"

Ok, now that that is out of the way and the 17 english word in question are available here.

Since this use of these 17 words falls clearly into fair use I'm having trouble seeing the issue with the QR-code.
Now the link to youtube. the references to Amiga, Android, Windows, Etc. That are at the heart of this perticular
sequence those could all be seen as referencing non-free stuff.

Since we already [libre] xscreensaver I'd suggest just yanking the BSOD option

#5 - 2019-07-20 01:35 AM - freemor

- Assignee set to freemor

#6 - 2019-07-20 05:53 PM - freemor
- % Done changed from 0 to 100
- Priority changed from discussion to bug

- Status changed from confirmed to fixed

Rebuild without BSOD. Checked, pushed
Closing
